<?php
namespace BotKit;

// Файл, на который поступают запросы

require_once __DIR__.'/src/bootstrap.php';
use BotKit\Common\Bot;
use BotKit\Common\Commands;
use BotKit\Drivers\TestDriver;
use BotKit\Events\PlainMessageEvent;
use BotKit\Events\UnknownEvent;
use BotKit\Events\MemberJoinedEvent;
use BotKit\Events\MemberLeftEvent;
use BotKit\Enums\State;
use BotKit\Enums\CallbackType;

$bot = new Bot();
$drv = new TestDriver();
$bot->loadDriver($drv);
$bot->ensureDriversLoaded();

// Нажатие на кнопку условий использования
$bot->onCallback(
    CallbackType::TOS,
    "BotKit\Common\Commands::showTermsOfService"
);

$bot->on(
    PlainMessageEvent::class,
    function ($e, $u, $driver) {
        return $u->getState() == State::Registering;
    },
    "BotKit\Common\Commands::helloWorld"
);

$bot->onEvent(UnknownEvent::class, "BotKit\Common\Commands::fallback");